Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07426 Misc. Minor Always Sep 18, 2019, 05:13 Sep 23, 2019, 11:35
Tester stevebourg View Status Public Platform MAME (Self-compiled)
Assigned To R. Belmont Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver mac.cpp
Version 0.213 Fixed in Version 0.214 Build 64-bit
Summary MESS-specific 07426: maciici: Non-matching Option key positions (U.S. PC keyboard)
Description The Option key on a IIci keyboard (M0116) would be positioned as the bottom leftmost key on the keyboard (far left of the spacebar). The Mac OS option key is instead positioned as the Alt key that is right of the space bar, on a U.S. keyboard. This misaligned key-mapping affects user experience. The emulated Option key should probably map the the leftmost key of a typical U.S. keyboard, which is the U.S. keyboard's Ctrl key, and if not the Ctrl key, at least to a key left of the spacebar and left of the key being mapped as the Command key (which is currently the Alt key, left side of spacebar).
Steps To Reproduce Boot MacOS 6.0.8 on a maciici system. Open Key Caps application and press Ctrl and Alt keys on a PC keyboard. Compare visual aid with actual keyboard (Key Caps appears to illustrate the M0116 keyboard).
Additional Information
Flags
Regression Version
Affected Sets / Systems maciici
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16942
AJR
Developer
Sep 20, 2019, 22:43
It should be noted that, on the M0116 (which I fondly remember as a Macintosh SE keyboard), the extreme lower left position is actually occupied by the (physically locking) Caps Lock key, with Option to its right. This is not the case on the Extended Keyboard I think of as more typical of the Macintosh II series, where Caps Lock is to the left of A and Control takes its place in the lower left corner.
User avatar
No.16949
stevebourg
Tester
Sep 22, 2019, 18:50
Understand. I'm just looking for a practical outcome, with Option and Command mapping to some keys at the bottom left of the keyboard, and in positional order. There are several applications that assume it possible for these keys to be held down from your left hand, while also clicking on the screen with your mouse in the right hand. The Windows Key is just as good of choice for the Macintosh Option key, with consideration for there being a "Control" key on the Macintosh keyboard.
User avatar
No.16951
stevebourg
Tester
Sep 23, 2019, 11:35
Found an Apple Support document that indicates Option / Command key experiences with a PC keyboard. Option / Command positions appear to swap relative to one-another, but keys do get officially designated.

https://support.apple.com/en-us/HT201236
  "On keyboards made for Windows PCs, use the Alt key instead of Option, and the Windows logo key instead of Command."

Request amended to match this documentation, with a functional Option key equivalent on left side of the PC keyboard, and a functional Command key on left side of the PC keyboard. Enabling both keys on left side of the keyboard enables scenario for user to hold down either key while moving the mouse or click from the mouse with the free right hand.